EDIT - bug #8492

Adapt CsvNameExport to rollback only and generally review where and how it should be used
08/28/2019 11:57 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

To make the 2 CsvNameExport tests in TaxEditor test environment not fail, read only was set to false in CsvNameExport (line 207)
partitioner.setReadOnly (false);

If readonly = true the rollback throws an exception in the service layer which is not correctly handled in the tests (and maybe also not
real exports).

However, we need to discuss if we need these exports at all after CDM light is now available. They werde developed for print
publication of Cuba checklist and Caryophyllales genera.

These can be done either by CDM light in future or in can run from commandline so it is not needed in TaxEditor anymore.
Should be discussed with Walter.

If we keep it we should handle it like other long running export tasks.

History

#1 - 08/28/2019 11:58 AM - Andreas Miiller
These 2 tests failed:
Tests in error:

IOServiceExportTest.exportCSVNameTest:99 ? UnexpectedRollback Transaction roll...
IOServiceExportTest.exportCSVPrintTest:112 ? UnexpectedRollback Transaction ro...

#2 - 09/18/2019 05:02 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#3 - 11/04/2019 12:41 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#4 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#5 - 03/09/2020 04:34 PM - Andreas Miuller

- Target version changed from Release 5.13 to Release 5.14

#6 - 04/08/2020 03:48 PM - Andreas Miuller

- Target version changed from Release 5.14 to Release 5.15

#7 - 04/22/2020 10:18 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#8 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#9 - 01/27/2021 04:15 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

04/05/2024 12




#10 - 03/10/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#11 - 04/19/2021 05:39 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
